org.apache.ignite.internal.visor.cache

## Class VisorCacheQueryConfigurationV2

- java.lang.Object
- - org.apache.ignite.internal.visor.cache.VisorCacheQueryConfiguration
  - - org.apache.ignite.internal.visor.cache.VisorCacheQueryConfigurationV2

All Implemented Interfaces:
  Serializable, LessNamingBean

    public class VisorCacheQueryConfigurationV2
    extends VisorCacheQueryConfiguration

Data transfer object for cache query configuration data.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheQueryConfigurationV2()`

### Method Summary

Methods
`VisorCacheQueryConfiguration` `from(CacheConfiguration ccfg)`
`String` `sqlSchema()`

### Methods inherited from class org.apache.ignite.internal.visor.cache.VisorCacheQueryConfiguration

`indexedTypes, longQueryWarningTimeout, sqlEscapeAll, sqlFunctionClasses, sqlOnheapRowCacheSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorCacheQueryConfigurationV2

    public VisorCacheQueryConfigurationV2()

### Method Detail

#### sqlSchema

    public String sqlSchema()

Returns:
  Schema name, which is used by SQL engine for SQL statements generation.

#### from

    public VisorCacheQueryConfiguration from(CacheConfiguration ccfg)

Overrides:
  `from` in class `VisorCacheQueryConfiguration`
Parameters:
  `ccfg` - Cache configuration.
Returns:
  Fill data transfer object with cache query configuration data.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017